SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001004SiT!incidentspublic2009-11-04 14:472010-01-23 19:02
Reporternicdev 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindowsOS VersionXP+Later
Product Version3.50 
Target Version3.51Fixed in Version3.51 
Summary0001004: Javascript error prevents "New KB article" from incident closing page
DescriptionWhen you close a case in V3.50 and you select the box "New article" the Javascript fails and you don't have the usual KB forms.

The error it seems is in this line of java code (around line 138):
$('helptext').innerHTML + $('helptext').innerHTML = ' ' + strSummaryOfProblemAndResolution;

If i comment out this line it works ... but i am not enough of a Java expert to figure it out ;-)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0002190)
paulh (administrator)
2009-12-03 20:01

Get a very similar error in trunk when trying to close an incident and add a KB article

enablekb is not defined
function onchange(event) { enablekb(); }(change )
User avatar (0002192)
paulh (administrator)
2009-12-03 20:12

r5959 adds the fix + and = where the wrong way around in the javascript
User avatar (0002225)
ivan (administrator)
2009-12-12 13:58

Fix was in both trunk and 3.x branch. thanks Paul.
User avatar (0002315)
ivan (administrator)
2010-01-23 19:02

Fix released in v3.51 which is now available

- Issue History
Date Modified Username Field Change
2009-11-04 14:47 nicdev New Issue
2009-12-03 20:01 paulh Note Added: 0002190
2009-12-03 20:01 paulh Status new => confirmed
2009-12-03 20:03 paulh Assigned To => paulh
2009-12-03 20:03 paulh Target Version => 3.50p1
2009-12-03 20:03 paulh Summary Java error prevents "New KB article" from incident closing page => Javascript error prevents "New KB article" from incident closing page
2009-12-03 20:11 paulh Status confirmed => assigned
2009-12-03 20:12 paulh Note Added: 0002192
2009-12-03 20:12 paulh Status assigned => resolved
2009-12-03 20:12 paulh Fixed in Version => Current SVN
2009-12-03 20:12 paulh Resolution open => fixed
2009-12-12 13:58 ivan Note Added: 0002225
2010-01-23 19:01 ivan Fixed in Version Current SVN => 3.51
2010-01-23 19:02 ivan Note Added: 0002315
2010-01-23 19:02 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker